<?php
include "../config.php";
include "classes.php";

$condX = $_REQUEST['condX'];
$conX = $_REQUEST['conX'];
$tblX = $_REQUEST['tblX'];
$spcX = "SD_C1 = 2";
$sportscondX = $_REQUEST['sportscondX'];

$trendStatus = $_REQUEST['trendStatus'];
$trendcondX = $_REQUEST['trendcondX'];

if($conX==1)
{    
    $condX="1=1";   
}

if($trendStatus=='false')
{
    $trendsValue = [];
    $recordCounter1 = new RecordCounter1($conn,$condX,$tblX,$spcX,$sportscondX,$trendStatus,$trendsValue);
    $recordCounter2 = new RecordCounter2($conn,$condX,$tblX,$spcX,$sportscondX,$trendStatus,$trendsValue);
    $recordCounter3 = new RecordCounter3($conn,$condX,$tblX,$spcX,$sportscondX,$trendStatus,$trendsValue);
    $recordCounter4 = new RecordCounter4($conn,$condX,$tblX,$spcX,$trendStatus,$trendsValue);
    
    $data['SD_C0'] = $recordCounter4->countRecords4('SD_C0', range(1,2));
    $data['SD_C1'] = $recordCounter1->countRecords1('SD_C1', array(1,2,98));
    $data['SD_C3'] = $recordCounter1->countRecords1('SD_C3', array(1,2,4,98));
    $data['SD_C6'] = $recordCounter1->countRecords1('SD_C6', array(1,2,3,4,99));
    $data['SD_C7'] = $recordCounter1->countRecords1('SD_C7', range(1,2));
    $data['SD_C8'] = $recordCounter1->countRecords1('SD_C8', array(1,2,3,4,5,99));
    $data['SD_C9'] = $recordCounter1->countRecords1('SD_C9', array(1,2,3,4,5,6,7,59));
    $data['SD_C10'] = $recordCounter1->countRecords1('SD_C10', array(1,2,3,4,98));
    $data['SD_C11'] = $recordCounter2->countRecords2('SD_C11', range(1,7));
    $data['SD_C12'] = $recordCounter1->countRecords1('SD_C12', array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,98));
    $data['SD_C15'] = $recordCounter1->countRecords1('SD_C15', array(1,2,3));
    $data['SD_C16'] = $recordCounter3->countRecords3('SD_C16', range(1,9));
    $data['SD_C17'] = $recordCounter1->countRecords1('SD_C17', range(1,3));
    $data['SD_C18'] = $recordCounter1->countRecords1('SD_C18', array(1,2,3,4,98,99));
    $data['SD_C19'] = $recordCounter2->countRecords2('SD_C19', array(1,2,3,4,5,6,7,8,9,10,98,99));
    $data['SD_C20'] = $recordCounter1->countRecords1('SD_C20', array(1,2,3));
    
    $data['S13_7'] = $recordCounter1->countRecords1('S13_7', array(1,2,3,4,5,6,7));
}
else{
    
    
    $trendsValue = [1,2,3,4,90,91];
    
    $recordCounter1 = new RecordCounter1($conn,$condX,$tblX,$spcX,$sportscondX,$trendStatus,$trendsValue);
    $recordCounter2 = new RecordCounter2($conn,$condX,$tblX,$spcX,$sportscondX,$trendStatus,$trendsValue);
    $recordCounter3 = new RecordCounter3($conn,$condX,$tblX,$spcX,$sportscondX,$trendStatus,$trendsValue);
    $recordCounter4 = new RecordCounter4($conn,$condX,$tblX,$spcX,$trendStatus,$trendsValue);
    
    $data['SD_C0'] = $recordCounter4->countRecords4('SD_C0', range(1,2));
    $data['SD_C1'] = $recordCounter1->countRecords1('SD_C1', array(1,2,98));
    $data['SD_C3'] = $recordCounter1->countRecords1('SD_C3', array(1,2,4,98));
    $data['SD_C6'] = $recordCounter1->countRecords1('SD_C6', array(1,2,3,4,99));
    $data['SD_C7'] = $recordCounter1->countRecords1('SD_C7', range(1,2));
    $data['SD_C8'] = $recordCounter1->countRecords1('SD_C8', array(1,2,3,4,5,99));
    $data['SD_C9'] = $recordCounter1->countRecords1('SD_C9', array(1,2,3,4,5,6,7,59));
    $data['SD_C10'] = $recordCounter1->countRecords1('SD_C10', array(1,2,3,4,98));
    $data['SD_C11'] = $recordCounter2->countRecords2('SD_C11', range(1,7));
    $data['SD_C12'] = $recordCounter1->countRecords1('SD_C12', array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,98));
    $data['SD_C15'] = $recordCounter1->countRecords1('SD_C15', array(1,2,3));
    $data['SD_C16'] = $recordCounter3->countRecords3('SD_C16', range(1,9));
    $data['SD_C17'] = $recordCounter1->countRecords1('SD_C17', range(1,3));
    $data['SD_C18'] = $recordCounter1->countRecords1('SD_C18', array(1,2,3,4,98,99));
    $data['SD_C19'] = $recordCounter2->countRecords2('SD_C19', array(1,2,3,4,5,6,7,8,9,10,98,99));
    $data['SD_C20'] = $recordCounter1->countRecords1('SD_C20', array(1,2,3));
    
    $data['S13_7'] = $recordCounter1->countRecords1('S13_7', array(1,2,3,4,5,6,7));
    
}

echo json_encode($data);

?>